Subject: Re: [PATCH v3 0/3] C99: declare bool experiment a success

From: Phillip Wood <[email-masked]>
Date: Thu, 17 Jul 2025 16:21:12 +0100

Hi Karthik

On 16/07/2025 11:29, Karthik Nayak wrote:
> Phillip Wood <[email-masked]> writes:
> 
>> From: Phillip Wood <[email-masked]>
>>
>> We've had a test balloon for C99's bool type since 8277dbe987
>> (git-compat-util: convert skip_{prefix,suffix}{,_mem} to bool,
>> 2023-12-16). As it has been over 18 months since this was added and
>> there have been no complaints let's declare it a success and convert
>> the return type our other string predicates to match.
>>
> 
> Neat, I didn't even know we were running such an experiment. Thanks for
> getting around to it, I think the patches look great, added some
> complaints from 'clang-format', feel free to ignore.

Thanks for taking a look. I would have fixed the formatting but this is 
in next already so I'll leave it as it is if that's ok with you.

Thanks

Phillip